<?php
namespace App\Repositories\Behavior;
use App\Models\RegisteredRecord;

/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/14
 * Time: 下午1:58
 */

class RegisteredRecordRepository
{
    public function __construct(RegisteredRecord $registeredRecord)
    {
        $this->registeredRecord = $registeredRecord;
    }

    public function lists($request)
    {
        $perPage = isset($request['per_page']) ? $request['per_page'] : 20;
        $where = [];
        if(isset($request['id'])){
            $where[] = ['id', $request['id']];
        }
        if(isset($request['uid'])){
            $where[] = ['uid', $request['uid']];
        }
        if(isset($request['absolute_progression'])){
            $where[] = ['absolute_progression', $request['absolute_progression']];
        }
        if(isset($request['trigger_type'])){
            $where[] = ['trigger_type', $request['trigger_type']];
        }
        if(isset($request['virus_behavior_id'])){
            $where[] = ['virus_behavior_id', $request['virus_behavior_id']];
        }

        return $this->registeredRecord
            ->where($where)
            ->where(function($query) use ($request){
                if(isset($request['created_at'])){
                    $time = explode('_', $request['created_at']);
                    $query->whereBetween('created_at', $time);
                }
            })
            ->orderBy('id','desc')
            ->paginate($perPage);
    }

}