<?php
namespace App\Transformers\Behavior;
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/15
 * Time: 下午14:39
 */
use App\Models\Behavior;
use League\Fractal\TransformerAbstract;

class BehaviorTransformer extends TransformerAbstract
{
    public function transform(Behavior $behavior_list)
    {
        return [
            'id' => $behavior_list['id'],
            'name' => $behavior_list['name'],
            'virus_behavior_id' => $behavior_list['virus_behavior_id'],
            'behavior_level' => $behavior_list['behavior_level'],
            'behavior_cycle_type' => $behavior_list['behavior_cycle_type'],
            'behavior_action_id' => $behavior_list['behavior_action_id'],
            'behavior_cycle' => $behavior_list['behavior_cycle'],
            'behavior_binding_users' => $behavior_list['behavior_binding_users'],
            'physical_strength' => $behavior_list['physical_strength'],
            'rainbow_beans' => $behavior_list['rainbow_beans'],
            'remarks' => $behavior_list['remarks'],
            'is_open' => $behavior_list['is_open'],
            'behavioral_cycle_start_time' => $behavior_list['behavioral_cycle_start_time'],
            'behavioral_cycle_end_time' => $behavior_list['behavioral_cycle_end_time'],
            'allotted_quantity_rule' => $behavior_list['allotted_quantity_rule'],
            'behavior_identification' => $behavior_list['behavior_identification'],
            'trigger_times' => $behavior_list['trigger_times'],
            'effective_trigger' => $behavior_list['effective_trigger'],
            'relative_series' => $behavior_list['relative_series'],
            'absolute_progression' => $behavior_list['absolute_progression'],
            'grant_rainbow_beans' => $behavior_list['grant_rainbow_beans'],
            'created_at' => date($behavior_list['created_at']),
            'updated_at' => date($behavior_list['updated_at']),
            'all_is_open' => $behavior_list['all_is_open'],//总已开启行为数
            'all_effective_trigger' => $behavior_list['all_effective_trigger'],//有效触发数
            'all_rainbow_beans' => $behavior_list['all_rainbow_beans'],//总生成彩虹豆
            'all_grant_beans' => $behavior_list['all_grant_beans'],//总未发放彩虹豆
        ];
    }
}