<?php
namespace App\Transformers\Behavior;
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/14
 * Time: 上午11:34
 */
use App\Models\RegisteredRecord;
use League\Fractal\TransformerAbstract;

class RegisteredRecordTransformer extends TransformerAbstract
{
    public function transform(RegisteredRecord $registeredList)
    {
        return [
            'id' => $registeredList['id'],
            'created_at' => date($registeredList['created_at']),
            'virus_behavior_id' => $registeredList['virus_behavior_id'],
            'uid' => $registeredList['uid'],
            'trigger_time' => $registeredList['trigger_time'],
            'physical_exertion' => $registeredList['physical_exertion'],
            'trigger_type' => $registeredList['trigger_type'],
            'absolute_progression' => $registeredList['absolute_progression'],
            'superior_uid' => $registeredList['superior_uid'],
            'release_status' => $registeredList['release_status'],
            'generation_quantity' => $registeredList['generation_quantity'],
            'quantity_issued' => $registeredList['quantity_issued'],
            'behavior_cycle_type' => $registeredList->Behavior->behavior_cycle_type,
            'name' => $registeredList->Behavior->name,
            'relative_series' => $registeredList->Behavior->relative_series,
            'is_open' => $registeredList->Behavior->is_open,
            'bahavior_created_at' => date($registeredList->Behavior->created_at),
            'all_absolute_progression' => $registeredList['all_absolute_progression'],//行为绝对级数
            'all_trigger_times' => $registeredList['all_trigger_times'],//总触发数
            'all_effective_trigger' => $registeredList['all_effective_trigger'],//有效触发数
            'all_physical_exertion' => $registeredList['physical_exertion'],//总消耗体力值
            'all_generation_quantity' => $registeredList['generation_quantity'],//总生成彩虹豆
            'all_quantity_issued' => $registeredList['quantity_issued'],//总发放彩虹豆
        ];
    }
}