<?php
namespace App\Transformers\Behavior;
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/6/14
 * Time: 下午8:30
 */
use App\Models\CommentRecord;
use App\Models\ReleaseRecord;
use League\Fractal\TransformerAbstract;

class ReleaseRecordTransformer extends TransformerAbstract
{
    public function transform(ReleaseRecord $releaseRecord)
    {
        return [
            'id' => $releaseRecord['id'],
            'created_at' => date($releaseRecord['created_at']),
            'virus_behavior_id' => $releaseRecord['virus_behavior_id'],
            'uid' => $releaseRecord['uid'],
            'trigger_time' => $releaseRecord['trigger_time'],
            'related_content_id' => $releaseRecord['related_content_id'],
            'physical_exertion' => $releaseRecord['physical_exertion'],
            'trigger_type' => $releaseRecord['trigger_type'],
            'generation_type' => $releaseRecord['generation_type'],
            'release_status' => $releaseRecord['release_status'],
            'generation_quantity' => $releaseRecord['generation_quantity'],
            'quantity_issued' => $releaseRecord['quantity_issued'],
            'behavior_cycle_type' => $releaseRecord->Behavior->behavior_cycle_type,
            'name' => $releaseRecord->Behavior->name,
            'relative_series' => $releaseRecord->Behavior->relative_series,
            'is_open' => $releaseRecord->Behavior->is_open,
            'bahavior_created_at' => date($releaseRecord->Behavior->created_at),
            'all_trigger_times' => $releaseRecord['all_trigger_times'],//总触发数
            'all_effective_trigger' => $releaseRecord['all_effective_trigger'],//有效触发数
            'all_physical_exertion' => $releaseRecord['physical_exertion'],//总消耗体力值
            'all_generation_quantity' => $releaseRecord['generation_quantity'],//总生成彩虹豆
            'all_quantity_issued' => $releaseRecord['quantity_issued'],//总发放彩虹豆
        ];
    }
}