<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRegisteredAccountsRecordTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('registered_accounts_record', function (Blueprint $table) {
            $table->increments('id');
            $table->string('virus_behavior_id')->comment('virus行为ID');
            $table->integer('uid')->comment('用户ID');
            $table->date('trigger_time')->comment('触发时间');
            $table->string('physical_exertion')->nullable()->comment('消耗体力值');
            $table->tinyInteger('trigger_type')->nullable()->comment('触发类型:0:无效触发;1.有效触发');
            $table->tinyInteger('generation_type')->nullable()->comment('生成类型:1:彩虹豆');
            $table->integer('absolute_progression')->nullable()->comment('绝对级数');
            $table->integer('superior_uid')->nullable()->comment('上级用户ID');
            $table->tinyInteger('release_status')->nullable()->comment('发放状态:0.异常;1.正常');
            $table->integer('generation_quantity')->nullable()->comment('生成数量');
            $table->integer('quantity_issued')->nullable()->comment('发放数量');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('registered_accounts_record');
    }
}
